Subject: Re: bug#77361: [PATCH] New user option to hide minor mode lighters

From: Pengji Zhang <[email-masked]>
Date: Mon, 05 May 2025 11:18:27 +0800

Sean Whitton <[email-masked]> writes:

> Hello,
>
> On Sat 19 Apr 2025 at 06:08pm +08, Sean Whitton wrote:
>
>> Hello Pengji,
>>
>> Thanks.  Making this customizable sounds good.
>>
>> A couple of comments on your patch:
>>
>> - It doesn't make sense to add an additional NEWS entry because the
>>   whole feature will be new in this release.  So you can delete that
>>   part of your patch.
>>
>> - Ideally the name of the variable would start with mode-line-collapse-
>>   instead of mode-line-collapsed- in order to match the existing one.
>>
>>   May I suggest mode-line-collapse-minor-modes-to ?
>
> I've installed it using this name.  Thanks again.

Sorry for the late reply. I got a bit busy with my day job.

I like this name, and thanks for installing it!

As for merging the two variables into one, I guess you might have
noticed it, it is not easy to do. 'mode-line-collapse-minor-modes' could
take a list of symbols to select modes to hide, in which case I could
not find a clear way to specify the lighter string.

Best,
Pengji